httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joshua Slive <sl...@commerce.ubc.ca>
Subject Re: Mod_include - SSI
Date Sun, 02 Dec 2001 21:20:18 GMT

On Sun, 2 Dec 2001, Lamar Seifuddin wrote:
>
> I am trying to load the module mod_includes, in order to use SSI on my
> apache server.
>
> I added these two lines to the httpd.conf
>
> LoadModule includes_module libexec/mod_include.so
> AddModule mod_include.c
>
> Here is the error message I get in my configuration.
>
> [root@desktop conf]# /usr/local/apache/bin/apachectl configtest
>
> Syntax error on line 207 of /usr/local/apache/conf/httpd.conf:
> Invalid command 'LoadModule', perhaps mis-spelled or defined by a module
> not included in the server configuration
>

Start by executing
httpd -l

My guess is that you will find that mod_include is already listed there,
so there is no need to use LoadModule.  On the other hand, you will
probably find that mod_so is not listed there.  mod_so is the module that
provides the LoadModule directive.  If it is not included in the server,
then you cannot dynamically load modules.  You need to recompile the
server to load new modules.

Joshua.



---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message